<mat-card-title class="title">
  Materiais
  <br>
  <br>
  <button mat-flat-button color="primary" (click)="openDialog()">Cadastrar</button>
  <!-- <button class="button-new" mat-fab color="primary" aria-label="Example icon button with a delete icon" position="end">
    <mat-icon>delete</mat-icon>
  </button> -->
</mat-card-title>
<mat-card-content class="content-material">
  <mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
    <!-- This is the tree node template for leaf nodes -->
    <mat-tree-node *matTreeNodeDef="let node" matTreeNodePadding>
      <!-- use a disabled button to provide padding for tree leaf -->
      <button mat-icon-button disabled></button>
      {{node.name}}
    </mat-tree-node>
    <!-- This is the tree node template for expandable nodes -->
    <mat-tree-node *matTreeNodeDef="let node;when: hasChild" matTreeNodePadding>
      <button mat-icon-button matTreeNodeToggle
              [attr.aria-label]="'toggle ' + node.name">
        <mat-icon class="mat-icon-rtl-mirror">
          {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
        </mat-icon>
      </button>
      {{node.name}}
    </mat-tree-node>
  </mat-tree>
</mat-card-content>

